Stock API

Stock

API Description

This API allows the customer to consult available Stock from Tenaris. It provides real-time visibility of material inventory.

| Operation | Description | Specification |

| GET /stock | Retrieve stock availability | GET |

Environments

Static mock:

URL https://customerapi-dev.azure-api.net/public/stock

Sandbox:

URL https://customerapi-dev.azure-api.net/sb/stock

Production:

URL https://customerapi-dev.azure-api.net/stock

Query Parameters

| Parameter | Type | Description |

| pageSize | integer | Number of results per page |

| pageNumber | integer | Page number to retrieve |

| productId | string | Filter by product ID |

| warehouseId | string | Filter by warehouse location |

Test this operation

curl -X GET "https://customerapi-dev.azure-api.net/sb/stock?pageSize=10&pageNumber=1" \

-H "Authorization: Bearer {access_token}"

Response:

{

"page": {"pageSize": 10, "pageNumber": 1, "pageLimit": 1, "code": 200},

"results": [

{

"product": {"id": "21336", "description": "5 1/2\" 20.00# 2.00FT.-DONASID--TXP BTC"},

"warehouse": {"id": "W001", "description": "Bay City Yard"},

"availableQuantity": 250,

"reservedQuantity": 50,

"uom": "ST",

"lastUpdated": "2024-03-01T12:00:00Z"

}

]

}

Errors

| ERROR | DESCRIPTION |

| 401 | ERROR IN TOKEN VALIDATION. There is an issue with the token used in the request. |

| 403 | USER NOT AUTHORIZED. There is an error in the credentials. |

| 404 | PAGING PARAMETERS ERROR. Bad request. |

| 500 | GENERAL ERROR. Server side error. |